#include "Nave.h"
#include "Disparo.h"
#include "Timer.h"

Nave::Nave()
{
	timer = new Timer();
	timer->start();
}

Nave::~Nave()
{
	delete timer;
}
void Nave::Dispara()
{
	tiempo += timer->getPasado();
	printf("Tiempo %f\n",tiempo);
	if (tiempo >= TIEMPODISPARO)
	{
		printf("Disparo disparado 1\n");
		vectorDisparos.push_back(new Disparo(posicion.x + imagen->w, posicion.y + imagen->h/2,
										300, 1, "../data/disparo.bmp") );
		printf("Disparo disparado 2\n");
		tiempo = 0;
	}
}

void Nave::DibujaDisparos(SDL_Surface * pantalla)
{
	for (int i=0; i<vectorDisparos.size(); i++)
	{
		vectorDisparos[i]->Dibujar(pantalla);
	}
}

vector<Disparo *> Nave::getVectorDisparos()
{
	return vectorDisparos;
}

void Nave::EliminarDisparoEnPantalla(int i)
{
	delete vectorDisparos[i];
	vector<Disparo *>::iterator lugar = vectorDisparos.begin();
	lugar+=i;
	vectorDisparos.erase(lugar);
}